Bug 743632 - Changing the time range for metrics displays has no effect on group table metrics display
Changing the time range for metrics displays has no effect on group table met...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 11:04 EDT by Lukas Krejci
Modified: 2012-02-07 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-10-05 11:04:56 EDT
Description of problem:

The Monitoring->Tables subtab for groups (either autogroups or compatible groups) has an UI for setting the time range for which the metrics are shown. Changing the values has no effect on the values displayed.

How reproducible:
always

Steps to Reproduce:
1. Inventory a platform, click on the "CPUs" autogroup in the nav tree.
2. Go to Monitoring->Tables subtab
3. Change the Time Range, click the "Set" button
  
Actual results:
The table doesn't refresh and the values displayed are still the same

Expected results:
The table refreshes with the fresh data according to the interval entered.

Additional info:
There is a workaround. After clicking the "Set" button, one has to go view another resource and come back to see the table refresh itself and display the data according to the time interval.

Note also that clicking the "Set" button on a single-resource display does refresh the table straight away as expected.
Comment 1 Lukas Krejci 2011-10-06 12:30:20 EDT
commit 28340ed95e6822674a1df6db4456eef4e66242b9
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Oct 6 18:27:35 2011 +0200

    BZ 743632, BZ 634648
    
    634648 - Removed the JSF-based metric time range picker and replaced it with
    the GWT based one even on the JSF pages (compositing the page from a JSF
    iframe and the GWT picker).
    
    743632 - Made the group tables view refreshable. Only the metrics table is
    being refreshed so that the list of members isn't reloaded when merely
    updating the metric time range. Added the "Refresh" buttons to both
    the metric table and the member table for the page to be inline with the
    resource-specific counterpart that does show them, too.
Comment 2 Mike Foley 2011-10-06 13:48:27 EDT
verified 10/6
Comment 3 Mike Foley 2012-02-07 14:19:46 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.